Loading...
Searching...
No Matches
dv_profile.h File Reference
`#include <stdint.h>`
`#include "libavutil/pixfmt.h"`
`#include "libavutil/rational.h"`

Go to the source code of this file.

## Data Structures

struct | AVDVProfile

## Macros

#define | DV_PROFILE_BYTES (6 * 80) /* 6 DIF blocks */

## Functions

const AVDVProfile * | av_dv_frame_profile (const AVDVProfile *sys, const uint8_t *frame, unsigned buf_size)
| Get a DV profile for the provided compressed frame.
const AVDVProfile * | av_dv_codec_profile (int width, int height, enum AVPixelFormat pix_fmt)
| Get a DV profile for the provided stream parameters.
const AVDVProfile * | av_dv_codec_profile2 (int width, int height, enum AVPixelFormat pix_fmt, AVRational frame_rate)
| Get a DV profile for the provided stream parameters.

## Macro Definition Documentation

## DV_PROFILE_BYTES

#define DV_PROFILE_BYTES (6 * 80) /* 6 DIF blocks */

Definition at line 29 of file dv_profile.h.

## Function Documentation

## av_dv_frame_profile()

const AVDVProfile * av_dv_frame_profile | ( | const AVDVProfile * | sys,
|  | const uint8_t * | frame,
|  | unsigned | buf_size )

Get a DV profile for the provided compressed frame.

Parameters

  sys | the profile used for the previous frame, may be NULL
  frame | the compressed data buffer
  buf_size | size of the buffer in bytes

Returns
  the DV profile for the supplied data or NULL on failure

## av_dv_codec_profile()

const AVDVProfile * av_dv_codec_profile | ( | int | width,
|  | int | height,
|  | enum AVPixelFormat | pix_fmt )

Get a DV profile for the provided stream parameters.

## av_dv_codec_profile2()

const AVDVProfile * av_dv_codec_profile2 | ( | int | width,
|  | int | height,
|  | enum AVPixelFormat | pix_fmt,
|  | AVRational | frame_rate )

Get a DV profile for the provided stream parameters.

The frame rate is used as a best-effort parameter.